### Method

# Template Scope require

#### Declaration

    gboolean
    tmpl_scope_require (
      TmplScope* self,
      const char* namespace_,
      const char* version
    )

#### Description

Imports `namespace_` into `self` so it can be used by expressions.

#### Parameters

`namespace_`

  Type: `const char*`

  The namespace to import into the scope.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`version`

  Type: `const char*`

  The version of `namespace_` to import.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if successful; otherwise `FALSE`.